LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Enumerations | Functions
rte_window.c File Reference
`#include <errno.h>`
`#include <sys/stat.h>`
`#include "../libweed/weed.h"`
`#include "../libweed/weed-host.h"`
`#include "../libweed/weed-effects.h"`
`#include "main.h"`
`#include "support.h"`
`#include "rte_window.h"`
`#include "effects.h"`
`#include "paramwindow.h"`
`#include "ce_thumbs.h"`

## Enumerations
enum | { NAME_TYPE_COLUMN, NAME_COLUMN, HASH_COLUMN, NUM_COLUMNS }

## Functions
void | rte_window_set_interactive (boolean interactive)
void | ret_set_key_check_state (void)
void | type_label_set_text (int key, int mode)
boolean | on_clear_all_clicked (LiVESButton *button, livespointer user_data)
void | on_save_rte_defs_activate (LiVESMenuItem *menuitem, livespointer user_data)
void | load_rte_defs (void)
boolean | on_load_keymap_clicked (LiVESButton *button, livespointer user_data)
void | on_rte_info_clicked (LiVESButton *button, livespointer user_data)
void | on_clear_clicked (LiVESButton *button, livespointer user_data)
void | fx_changed (LiVESCombo *combo, livespointer user_data)
LiVESWidget * | create_rte_window (void)
LiVESWidget * | refresh_rte_window (void)
void | on_assign_rte_keys_activate (LiVESMenuItem *menuitem, livespointer user_data)
void | rtew_set_keych (int key, boolean on)
void | rtew_set_keygr (int key)
void | rtew_set_mode_radio (int key, int mode)
void | redraw_pwindow (int key, int mode)
void | restore_pwindow (lives_rfx_t *rfx)
void | update_pwindow (int key, int i, LiVESList *list)
void | rte_set_defs_activate (LiVESMenuItem *menuitem, livespointer user_data)
void | rte_set_key_defs (LiVESButton *button, lives_rfx_t *rfx)
void | rte_set_defs_ok (LiVESButton *button, lives_rfx_t *rfx)
void | rte_set_defs_cancel (LiVESButton *button, lives_rfx_t *rfx)
void | rte_reset_defs_clicked (LiVESButton *button, lives_rfx_t *rfx)
void | load_default_keymap (void)

## Enumeration Type Documentation

anonymous enum

Enumerator
NAME_TYPE_COLUMN |
NAME_COLUMN |
HASH_COLUMN |
NUM_COLUMNS |

## Function Documentation

LiVESWidget* create_rte_window | ( | void |  | ) |

void fx_changed | ( | LiVESCombo * | combo,
|  | livespointer | user_data
| ) |  |

void load_default_keymap | ( | void |  | ) |

void load_rte_defs | ( | void |  | ) |

void on_assign_rte_keys_activate | ( | LiVESMenuItem * | menuitem,
|  | livespointer | user_data
| ) |  |

boolean on_clear_all_clicked | ( | LiVESButton * | button,
|  | livespointer | user_data
| ) |  |

void on_clear_clicked | ( | LiVESButton * | button,
|  | livespointer | user_data
| ) |  |

boolean on_load_keymap_clicked | ( | LiVESButton * | button,
|  | livespointer | user_data
| ) |  |

void on_rte_info_clicked | ( | LiVESButton * | button,
|  | livespointer | user_data
| ) |  |

void on_save_rte_defs_activate | ( | LiVESMenuItem * | menuitem,
|  | livespointer | user_data
| ) |  |

void redraw_pwindow | ( | int | key,
|  | int | mode
| ) |  |

LiVESWidget* refresh_rte_window | ( | void |  | ) |

void restore_pwindow | ( | lives_rfx_t * | rfx | ) |

void ret_set_key_check_state | ( | void |  | ) |

void rte_reset_defs_clicked | ( | LiVESButton * | button,
|  | lives_rfx_t * | rfx
| ) |  |

void rte_set_defs_activate | ( | LiVESMenuItem * | menuitem,
|  | livespointer | user_data
| ) |  |

void rte_set_defs_cancel | ( | LiVESButton * | button,
|  | lives_rfx_t * | rfx
| ) |  |

void rte_set_defs_ok | ( | LiVESButton * | button,
|  | lives_rfx_t * | rfx
| ) |  |

void rte_set_key_defs | ( | LiVESButton * | button,
|  | lives_rfx_t * | rfx
| ) |  |

void rte_window_set_interactive | ( | boolean | interactive | ) |

void rtew_set_keych | ( | int | key,
|  | boolean | on
| ) |  |

void rtew_set_keygr | ( | int | key | ) |

void rtew_set_mode_radio | ( | int | key,
|  | int | mode
| ) |  |

void type_label_set_text | ( | int | key,
|  | int | mode
| ) |  |

void update_pwindow | ( | int | key,
|  | int | i,
|  | LiVESList * | list
| ) |  |